<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-8">
      <div class="text-center">
        <h2>Overzichten</h2>
      </div>

      <div *ngIf="!loginCheck()">Log in om overzichten te zien</div>

      <div *ngIf="loginCheck()">
        <a routerLink="/overview/add" class="btn btn-large btn-main">
          Overzicht toevoegen
        </a>

        <div *ngFor="let overview of overviewsArray">
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">{{ overview.name }}</h5>

              <span class="card-text">
                <span *ngIf="overview.year && !overview.description">
                  {{ overview.year }}
                </span>
                <span *ngIf="overview.description && !overview.year">
                  {{ overview.description }}
                </span>
                <span *ngIf="overview.year && overview.description">
                  {{ overview.year }} - {{ overview.description }}
                </span>
              </span>

              <div *ngIf="loginCheck()">
                <a
                  routerLink="/overview/{{ overview._id }}"
                  class="btn btn-medium btn-second"
                >
                  Meer
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
